bitel.billing.server.ipn.bean

## Class PPPoEUtils

- java.lang.Object
- - bitel.billing.server.ipn.bean.PPPoEUtils

-     public class PPPoEUtils
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PPPoEUtils.PPPoELogin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PPPoEUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `generateRule(java.lang.String nasId, GateType gateType, java.lang.String data, java.util.HashMap<java.lang.Integer,java.lang.String[]> ruleTypes)`
    `static java.lang.String` | `getAttributes(java.lang.String ruleTypeConfig)`
    `static java.lang.String` | `getRealm(java.lang.String ruleTypeConfig)`
    `static java.util.HashMap<java.lang.Integer,java.lang.String[]>` | `getRuleTypes(java.util.Map<java.lang.Integer,RuleType> ruleTypeMap)`
    `static PPPoEUtils.PPPoELogin` | `parseRule(java.lang.String data)`
    `static java.lang.String` | `rulesToString(java.util.List<PPPoERule> ruleList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PPPoEUtils

          public PPPoEUtils()

  - ### Method Detail

    - #### getRealm

          public static java.lang.String getRealm(java.lang.String ruleTypeConfig)

    - #### getAttributes

          public static java.lang.String getAttributes(java.lang.String ruleTypeConfig)

    - #### parseRule

          public static PPPoEUtils.PPPoELogin parseRule(java.lang.String data)

    - #### rulesToString

          public static java.lang.String rulesToString(java.util.List<PPPoERule> ruleList)

    - #### getRuleTypes

          public static java.util.HashMap<java.lang.Integer,java.lang.String[]> getRuleTypes(java.util.Map<java.lang.Integer,RuleType> ruleTypeMap)

    - #### generateRule

          public static java.lang.String generateRule(java.lang.String nasId,
                                                      GateType gateType,
                                                      java.lang.String data,
                                                      java.util.HashMap<java.lang.Integer,java.lang.String[]> ruleTypes)